{ lib, modulesPath, ... }:

{
  imports = [
    "${modulesPath}/virtualisation/qemu-vm.nix"
    ../modules/account.nix
    ../modules/core.nix
    ../modules/core-desktop.nix
    ../modules/locale.nix
    ../modules/polkit/disable-shutdown.nix
    ../modules/shell.nix
    ../modules/udev.nix
  ];

  config = {
    services.syncthing.enable = lib.mkForce false;
    virtualisation = {
      memorySize = 4096;
    };
    virtualisation.forwardPorts = [
      { from = "host"; host.port = 2222; guest.port = 22; }
    ];
    nixpkgs.hostPlatform = "x86_64-linux";
  };
}
